ctfwriteup.com
Search…
⌃K

Damn Vulnerable DeFi

Intro

Damn Vulnerable DeFi is the wargame to learn offensive security of DeFi smart contracts in Ethereum.
Featuring flash loans, price oracles, governance, NFTs, DEXs, lending pools, smart contract wallets, timelocks, and more!
Damn Vulnerable DeFi V3 is out and we will be working on this new version.

Before diving in

Damn Vulnerable DeFi is harder than Capture the Ether and Ethernaut, so make sure you finish those two before getting into this one.
The official framework used in Damn Vulnerable DeFi repo is Hardhat. It is better to get used to both Hardhat and Foundry, so we will write 2 PoCs for each challenge. The Foundry version of the challenges can be found here: